dbXML API

## com.dbxml.xml.dtsm
Class ValueTableEntry

    java.lang.Object
      com.dbxml.xml.dtsm.ValueTableEntry

public final class ValueTableEntry
extends java.lang.Object

ValueTableEntry

Field Summary
`static int` `SIZE`

Constructor Summary
`ValueTableEntry()`
`ValueTableEntry(byte[] bytes, int offset)`
`ValueTableEntry(java.io.InputStream is)`
`ValueTableEntry(int offset, int len)`

Method Summary
`byte[]` `getBytes()`
`int` `getLength()` getLength returns the length of the Value in the data stream.
`int` `getOffset()` getOffset returns the offset into the data stream for this Value.
`void` `readFrom(byte[] bytes, int off)`
`void` `readFrom(java.io.InputStream is)`
`void` `setLength(int len)` setLength sets the length of the Value in the data stream.
`void` `setOffset(int offset)` setOffset sets the offset into the data stream for this Value.
`void` `writeTo(byte[] bytes, int off)`
`void` `writeTo(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### ValueTableEntry

    public ValueTableEntry()

### ValueTableEntry

    public ValueTableEntry(int offset,
                           int len)

### ValueTableEntry

    public ValueTableEntry(byte[] bytes,
                           int offset)

### ValueTableEntry

    public ValueTableEntry(java.io.InputStream is)
                    throws java.io.IOException

Method Detail

### getOffset

    public int getOffset()

  getOffset returns the offset into the data stream for this Value.

  Returns:
    The Offset

### setOffset

    public void setOffset(int offset)

  setOffset sets the offset into the data stream for this Value.

  Parameters:
    `offset` - The Offset

### getLength

    public int getLength()

  getLength returns the length of the Value in the data stream.

  Returns:
    The Length

### setLength

    public void setLength(int len)

  setLength sets the length of the Value in the data stream.

  Parameters:
    `len` - The Length

### readFrom

    public void readFrom(byte[] bytes,
                         int off)

### readFrom

    public void readFrom(java.io.InputStream is)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(byte[] bytes,
                        int off)

### writeTo

    public void writeTo(java.io.OutputStream os)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBytes

    public byte[] getBytes()

dbXML API

Copyright (c) 2004 The dbXML Group